Package org.apache.struts2.result.xslt

# Class ProxyTextNodeAdapter

java.lang.Object
org.apache.struts2.result.xslt.AbstractAdapterNode
org.apache.struts2.result.xslt.ProxyNodeAdapter
org.apache.struts2.result.xslt.ProxyTextNodeAdapter

All Implemented Interfaces:
  `AdapterNode`, `CharacterData`, `Node`, `Text`

public class ProxyTextNodeAdapter extends ProxyNodeAdapter implements Text
ProxyTextNodeAdapter is a pass-through adapter for objects which already implement the Text interface. All methods are proxied to the underlying Node except getParent(), getNextSibling() and getPreviousSibling(), which are implemented by the abstract adapter node to work with the parent adapter.

- ## Field Summary

  ### Fields inherited from interface org.w3c.dom.Node

  `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProxyTextNodeAdapter(AdapterFactory factory, AdapterNode parent, Text value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `appendData(String arg)`
  `void`
  `deleteData(int offset, int count)`
  `String`
  `getData()`
  `int`
  `getLength()`
  `String`
  `getWholeText()`
  `void`
  `insertData(int offset, String arg)`
  `boolean`
  `isElementContentWhitespace()`
  `void`
  `replaceData(int offset, int count, String arg)`
  `Text`
  `replaceWholeText(String string)`
  `void`
  `setData(String data)`
  `Text`
  `splitText(int offset)`
  `String`
  `substringData(int offset, int count)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.struts2.result.xslt.ProxyNodeAdapter

  `getAttributes, getLocalName, getNamespaceURI, getNodeName, getNodeType, getNodeValue, getPrefix, hasAttributes, hasChildNodes, isSupported, node, wrap, wrap`

  ### Methods inherited from class org.apache.struts2.result.xslt.AbstractAdapterNode

  `appendChild, buildChildAdapters, cloneNode, compareDocumentPosition, getAdapterFactory, getBaseURI, getChildAdapters, getChildAfter, getChildBefore, getChildBeforeOrAfter, getChildNodes, getElementsByTagName, getElementsByTagNameNS, getFeature, getFirstChild, getLastChild, getNextSibling, getOwnerDocument, getParent, getParentNode, getPreviousSibling, getPropertyName, getPropertyValue, getTextContent, getUserData, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, lookupNamespaceURI, lookupPrefix, normalize, operationNotSupported, removeChild, replaceChild, setAdapterFactory, setContext, setNodeValue, setParent, setPrefix, setPropertyName, setPropertyValue, setTextContent, setUserData`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.w3c.dom.Node

  `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- ## Constructor Details

  - ### ProxyTextNodeAdapter

    public ProxyTextNodeAdapter(AdapterFactory factory, AdapterNode parent, Text value)

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `ProxyNodeAdapter`

  - ### splitText

    public Text splitText(int offset) throws DOMException
    Specified by:
      `splitText` in interface `Text`
    Throws:
      `DOMException`

  - ### getLength

    public int getLength()
    Specified by:
      `getLength` in interface `CharacterData`

  - ### deleteData

    public void deleteData(int offset, int count) throws DOMException
    Specified by:
      `deleteData` in interface `CharacterData`
    Throws:
      `DOMException`

  - ### getData

    public String getData() throws DOMException
    Specified by:
      `getData` in interface `CharacterData`
    Throws:
      `DOMException`

  - ### substringData

    public String substringData(int offset, int count) throws DOMException
    Specified by:
      `substringData` in interface `CharacterData`
    Throws:
      `DOMException`

  - ### replaceData

    public void replaceData(int offset, int count, String arg) throws DOMException
    Specified by:
      `replaceData` in interface `CharacterData`
    Throws:
      `DOMException`

  - ### insertData

    public void insertData(int offset, String arg) throws DOMException
    Specified by:
      `insertData` in interface `CharacterData`
    Throws:
      `DOMException`

  - ### appendData

    public void appendData(String arg) throws DOMException
    Specified by:
      `appendData` in interface `CharacterData`
    Throws:
      `DOMException`

  - ### setData

    public void setData(String data) throws DOMException
    Specified by:
      `setData` in interface `CharacterData`
    Throws:
      `DOMException`

  - ### isElementContentWhitespace

    public boolean isElementContentWhitespace()
    Specified by:
      `isElementContentWhitespace` in interface `Text`

  - ### getWholeText

    public String getWholeText()
    Specified by:
      `getWholeText` in interface `Text`

  - ### replaceWholeText

    public Text replaceWholeText(String string) throws DOMException
    Specified by:
      `replaceWholeText` in interface `Text`
    Throws:
      `DOMException`